function get_top_update() {
  url = '/api/v1/server_active'

  $.ajax({
    url: url,
    type: "GET",
    timeout: 20000,
    success: function(data) {

      srv_s = data[0].s;
      srv_b = data[1].b;
      srv_v = data[2].v;
      srv_g = data[3].g;

      template_up = '<span class="badge badge-primary">UP</span>';
      template_down = '<span class="badge badge-warning">DOWN</span>';

      template_0 = '<span class="badge badge-danger">0UP</span>';
      template_1 = '<span class="badge badge-warning">1UP</span>';
      template_2 = '<span class="badge badge-info">2UP</span>';
      template_3 = '<span class="badge badge-primary">3UP</span>';
      template_4 = '<span class="badge badge-primary">4UP</span>';

      if ( srv_s == 1) {
        $("#srv_s").append(template_up);
        $("#srv_ss").append(template_up);
      } else {
        $("#srv_s").append(template_down);
        $("#srv_ss").append(template_down);
      }

      if ( srv_b == 1) {
        $("#srv_b").append(template_up);
        $("#srv_sb").append(template_up);
      } else {
        $("#srv_b").append(template_down);
        $("#srv_sb").append(template_down);
      }

      if ( srv_v == 1) {
        $("#srv_v").append(template_up);
        $("#srv_sv").append(template_up);
      } else {
        $("#srv_v").append(template_down);
        $("#srv_sv").append(template_down);
      }

      if ( srv_g == 1) {
        $("#srv_g").append(template_up);
        $("#srv_sg").append(template_up);
      } else {
        $("#srv_g").append(template_down);
        $("#srv_sg").append(template_down);
      }

      all = ( srv_s + srv_b + srv_v + srv_g );
      switch(all) {
        case 0:
          $("#srv_all").append(template_0);
          break
        case 1:
          $("#srv_all").append(template_1);
          break
        case 2:
          $("#srv_all").append(template_2);
          break
        case 3:
          $("#srv_all").append(template_3);
          break
        case 4:
          $("#srv_all").append(template_4);
          break
      };

    },
  });
};

window.onload = function(){
  get_top_update();
};
